> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# achNotificationsOfChange

> A Notification of Change (NOC), notifies the sender of an ACH payment that information related to the customer’s bank account was inaccurate or outdated, and provides the updated information that needs to be corrected before another payment can be sent from (or to) the account.

`Query`

## Arguments

<ParamField path="input" type="AchNotificationOfChangeInput!" required>
  <Expandable title="child attributes">
    <ParamField path="paging" type="PagingInput!" required>
      See [PagingInput](/acquiring/reference/graphql/types/paging-input)
    </ParamField>

    <ParamField path="where" type="AchNotificationOfChangeFilterInput!" required>
      <Expandable title="child attributes">
        <ParamField path="activityDate" type="DateRangeFilterInput">
          See [DateRangeFilterInput](/acquiring/reference/graphql/types/date-range-filter-input)
        </ParamField>

        <ParamField path="paymentId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

## Return type

`AchNotificationOfChangeCollection`

<ResponseField name="items" type="[AchNotificationOfChange!]!" required>
  <Expandable title="child attributes">
    <ResponseField name="acceptor" type="Acceptor">
      See [Acceptor](/acquiring/reference/graphql/types/acceptor)
    </ResponseField>

    <ResponseField name="accountNumber" type="String!" required>
      The original bank account number.
    </ResponseField>

    <ResponseField name="accountNumberUpdated" type="String">
      The updated bank account number.
    </ResponseField>

    <ResponseField name="accountType" type="BankAccountType!" required>
      The type of bank account, either Checking or Savings, specified on the original transaction.

      See [BankAccountType](/acquiring/reference/graphql/types/bank-account-type)
    </ResponseField>

    <ResponseField name="accountTypeUpdated" type="BankAccountType">
      The updated bank account type.

      See [BankAccountType](/acquiring/reference/graphql/types/bank-account-type)
    </ResponseField>

    <ResponseField name="activityDate" type="Date!" required>
      The date the notification of change was received by Tesouro.
    </ResponseField>

    <ResponseField name="changeReason" type="String!" required>
      A reader friendly description of the Change reason code.
    </ResponseField>

    <ResponseField name="changeReasonCode" type="AchNotificationOfChangeCodes!" required>
      A unique code signaling that information in a prior ACH entry needs updating.

      <Expandable title="Possible enum values">
        <ResponseField name="C01" type="enum">
          Incorrect bank account number
        </ResponseField>

        <ResponseField name="C02" type="enum">
          Incorrect transit/routing number
        </ResponseField>

        <ResponseField name="C03" type="enum">
          Incorrect transit/routing number and bank account number
        </ResponseField>

        <ResponseField name="C04" type="enum">
          Bank account name change
        </ResponseField>

        <ResponseField name="C05" type="enum">
          Incorrect payment code
        </ResponseField>

        <ResponseField name="C06" type="enum">
          Incorrect bank account number and transit code
        </ResponseField>

        <ResponseField name="C07" type="enum">
          Incorrect transit/routing number, bank account number and payment code
        </ResponseField>

        <ResponseField name="C08" type="enum">
          Corrected foreign routing number
        </ResponseField>

        <ResponseField name="C09" type="enum">
          Incorrect individual ID number
        </ResponseField>

        <ResponseField name="C10" type="enum">
          Incorrect company name
        </ResponseField>

        <ResponseField name="C11" type="enum">
          Incorrect company identification
        </ResponseField>

        <ResponseField name="C12" type="enum">
          Incorrect company name and company ID
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="id" type="UUID!" required>
      A unique 36 character identifier created by Tesouro, and assigned to the specific change notification.
    </ResponseField>

    <ResponseField name="organization" type="Organization">
      See [Organization](/acquiring/reference/graphql/types/organization)
    </ResponseField>

    <ResponseField name="paymentId" type="UUID!" required>
      A unique 36 character identifier created by Tesouro and assigned to a group of transactions in the same payment request cohort. e.g., An authorization request, incremental authorization request, and the final capture would have the same paymentID.
    </ResponseField>

    <ResponseField name="routingNumber" type="String!" required>
      The original unique nine-digit number identifying the bank.
    </ResponseField>

    <ResponseField name="routingNumberUpdated" type="String">
      The updated routing number.
    </ResponseField>

    <ResponseField name="transactionActivityDate" type="Date!" required>
      The date Tesouro recognized the transaction that triggered the notification of change.
    </ResponseField>

    <ResponseField name="transactionAmount" type="Decimal!" required>
      The transaction amount submitted with the transaction request.
    </ResponseField>

    <ResponseField name="transactionCurrency" type="String!" required>
      The currency specified on the transaction request, in ISO 4217 alpha currency code format.
    </ResponseField>

    <ResponseField name="transactionDateTime" type="DateTime!" required>
      The date and time that Tesouro received the transaction request, in UTC. Formatted as 2024-03-27T02:40:00Z
    </ResponseField>

    <ResponseField name="transactionId" type="UUID!" required>
      The unique 36 character identifier Tesouro assigned to the transaction that triggered the notification of change.
    </ResponseField>

    <ResponseField name="transactionReference" type="String!" required>
      The unique identifier assigned to the transaction by the acceptor (or partner) and included in the original transaction request sent to Tesouro.
    </ResponseField>

    <ResponseField name="transactionType" type="TransactionType!" required>
      The type of transaction, either an ACH debit (sale) or ACH debit (refund).

      See [TransactionType](/acquiring/reference/graphql/types/transaction-type)
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pageInfo" type="PageInfo!" required>
  <Expandable title="child attributes">
    <ResponseField name="hasNextPage" type="Boolean!" required />

    <ResponseField name="hasPreviousPage" type="Boolean!" required />
  </Expandable>
</ResponseField>

<RequestExample>
  ```graphql Operation lines expandable theme={null}
  query AchNotificationsOfChange($input: AchNotificationOfChangeInput!) {
    achNotificationsOfChange(input: $input) {
      items {
        acceptor {
          businessName
          id
          name
          reference
        }
        accountNumber
        accountNumberUpdated
        accountType
        accountTypeUpdated
        activityDate
        changeReason
        changeReasonCode
        id
        organization {
          achNotificationsOfChange
          businessName
          capabilities
          id
          legalName
          name
          phoneNumber
        }
        paymentId
        routingNumber
        routingNumberUpdated
        transactionActivityDate
        transactionAmount
        transactionCurrency
        transactionDateTime
        transactionId
        transactionReference
        transactionType
      }
      pageInfo {
        hasNextPage
        hasPreviousPage
      }
    }
  }
  ```

  ```json Variables lines expandable theme={null}
  {
    "input": {
      "paging": {
        "skip": 0,
        "take": 0
      },
      "where": {
        "activityDate": "example",
        "paymentId": "example"
      }
    }
  }
  ```

  ```bash cURL lines expandable theme={null}
  curl --request POST \
    --url https://api.sandbox.com/graphql \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
    --data '{
    "query": "query AchNotificationsOfChange($input: AchNotificationOfChangeInput!) {\n  achNotificationsOfChange(input: $input) {\n    items {\n      acceptor {\n        businessName\n        id\n        name\n        reference\n      }\n      accountNumber\n      accountNumberUpdated\n      accountType\n      accountTypeUpdated\n      activityDate\n      changeReason\n      changeReasonCode\n      id\n      organization {\n        achNotificationsOfChange\n        businessName\n        capabilities\n        id\n        legalName\n        name\n        phoneNumber\n      }\n      paymentId\n      routingNumber\n      routingNumberUpdated\n      transactionActivityDate\n      transactionAmount\n      transactionCurrency\n      transactionDateTime\n      transactionId\n      transactionReference\n      transactionType\n    }\n    pageInfo {\n      hasNextPage\n      hasPreviousPage\n    }\n  }\n}",
    "variables": {
      "input": {
        "paging": {
          "skip": 0,
          "take": 0
        },
        "where": {
          "activityDate": "example",
          "paymentId": "example"
        }
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response lines expandable theme={null}
  {
    "data": {
      "achNotificationsOfChange": {
        "items": [
          {
            "acceptor": {
              "allocations": "example",
              "authorizationSummaries": "example",
              "billingDescriptor": "CLACKSWORTH KEYBOARDS",
              "businessName": "Clacksworth Keyboards",
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "reference": "example"
            },
            "accountNumber": "example",
            "accountNumberUpdated": "example",
            "accountType": "CHECKING",
            "accountTypeUpdated": "CHECKING",
            "activityDate": "2026-01-15",
            "changeReason": "example",
            "changeReasonCode": "C01",
            "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
            "organization": {
              "acceptorApplicationCounts": [
                "example"
              ],
              "acceptors": "example",
              "achNotificationsOfChange": "example",
              "achReturns": "example",
              "allocations": "example",
              "allowedMerchantCategories": [
                "example"
              ],
              "authorizationSummaries": "example",
              "businessAddress": "example",
              "businessName": "Clacksworth Keyboards",
              "capabilities": [
                "ACQUIRING"
              ],
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisbursementReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
              "legalName": "example",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "phoneNumber": "example",
              "reportAvailability": [
                "example"
              ],
              "settings": "example"
            },
            "paymentId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
            "routingNumber": "example",
            "routingNumberUpdated": "example",
            "transactionActivityDate": "2026-01-15",
            "transactionAmount": 0,
            "transactionCurrency": "example",
            "transactionDateTime": "2026-01-15T14:30:00Z",
            "transactionId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
            "transactionReference": "example",
            "transactionType": "AUTHORIZATION"
          }
        ],
        "pageInfo": {
          "hasNextPage": true,
          "hasPreviousPage": true
        }
      }
    }
  }
  ```
</ResponseExample>
